require 'rails_helper'

RSpec.describe ConfiguracaoPolicy do
  subject { described_class }

  permissions :index? do
    it 'libera para admin e gerente, nega operador' do
      expect(subject).to permit(build(:admin), Configuracao)
      expect(subject).to permit(build(:gerente), Configuracao)
      expect(subject).not_to permit(build(:operador), Configuracao)
    end
  end

  permissions :edit?, :update? do
    it 'só admin altera configurações' do
      expect(subject).to permit(build(:admin), Configuracao)
      expect(subject).not_to permit(build(:gerente), Configuracao)
    end
  end
end
